/****************************************************************************
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2022                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2013                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/


/*-------------------------------------------------------------------------*/
/**
 *  @file
 *  @brief Definition of global settings variables.
 *
 *  This file provides the definitions of global variables providing
 *  configuration settings of the Scalasca Trace Analyzer.
 **/
/*-------------------------------------------------------------------------*/


#include <config.h>

#include "Settings.h"


namespace scout
{
// --- Global variables -----------------------------------------------------

// Experiment configuration
std::string archiveDirectory;

// Analyzer configuration
bool enableStatistics    = true;
bool enableCriticalPath  = true;
bool enableDelayAnalysis = true;
bool enableAsynchronous  = false;
bool enableSinglePass    = false;
}    // namespace scout
